Getting answers to a question
The method is available for models: FBY, FBS, Express and DBS.
Not yet available for Market Yandex Go sellers.
If you are using an API Key token, one of the accesses in the list is required to call the method
- communication — Customer communication
- all-methods — Full account management
- all-methods:read-only — View all data
Returns answers to a question about a product using the specified filters.
Вы также можете настроить API-уведомления
Yandex.Market will send you request when there is a new reply or comment. And full information about them can be obtained using this method.
The results are returned page by page, one page contains no more than 50 responses.
⚙️ Limit without subscription: 1 000 requests per hour ⭐️ Limit with Medium subscription: 5 000 requests per hour |
|---|
Request
POST
https://api.partner.market.yandex.ru/v1/businesses/{businessId}/goods-questions/answers
Path parameters
|
Name |
Description |
|
businessId |
Type: integer Cabinet ID. To find out, use the request GET v2/campaigns. ℹ️ What is a cabinet and a store on the Market? Min value: |
Query parameters
|
Name |
Description |
|
limit |
Type: integer The number of values per page. Default: Min value: Max value: |
|
pageToken |
Type: string ID of the results page. If the parameter is omitted, the first page is returned. Pass the value of the output parameter Example: `` |
Body
application/json
{
"questionId": 1,
"answerIds": [
1
]
}
|
Name |
Description |
|
answerIds |
Type: integer[] | null Response IDs. Min items: Max items: Unique items: Example
|
|
questionId |
Type: integer The issue ID. Min value: |
Responses
200 OK
The list of answers to the question.
Body
application/json
{
"status": "OK",
"result": {
"answers": [
{
"id": 1,
"text": "example",
"canModify": true,
"author": {},
"status": "PUBLISHED",
"questionId": 1,
"createdAt": "2025-01-01T00:00:00Z",
"votes": {},
"comments": [
null
]
}
],
"paging": {
"nextPageToken": "example"
}
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
answers
Type: object[]
canModify
Type: boolean
Whether the seller can edit the comment or delete it.
createdAt
Type: string<date-time>
The date and time when the response was created.
Example:
2025-01-01T00:00:00Zid
Type: integer
The ID of the response to the question.
Min value:
1questionId
Type: integer
The issue ID.
Min value:
1status
Type: string
The moderation status of the response or comment:
PUBLISHED— published.UNMODERATED— not verified.BANNED— blocked.DELETED— deleted.
Enum:
PUBLISHED,UNMODERATED,BANNED,DELETEDtext
Type: string
Text content.
Min length:
1Max length:
5000Example:
examplevotes
Type: object
dislikes
Type: integer
The number of dislikes.
likes
Type: integer
The number of likes.
The number of likes and dislikes on a question, answer, or comment.
Example
{ "likes": 0, "dislikes": 0 }author
Type: object
name
Type: string
The name of the author or the name of the cabinet.
Example:
exampletype
Type: string
Type of author:
USER— user.BUSINESS— office.VENDOR— manufacturer.BRAND— brand.
Enum:
USER,BUSINESS,VENDOR,BRANDInformation about the comment's author.
Example
{ "type": "USER", "name": "example" }comments
Type: object[]
answerId
Type: integer
The ID of the response to the question.
Min value:
1createdAt
Type: string<date-time>
The date when the comment was created.
Example:
2025-01-01T00:00:00Zid
Type: integer
ID of the response comment.
Min value:
1status
Type: string
The moderation status of the response or comment:
PUBLISHED— published.UNMODERATED— not verified.BANNED— blocked.DELETED— deleted.
Enum:
PUBLISHED,UNMODERATED,BANNED,DELETEDtext
Type: string
Text content.
Min length:
1Max length:
5000Example:
exampleauthor
Type: object
name
Type: string
The name of the author or the name of the cabinet.
Example:
exampletype
Type: string
Type of author:
USER— user.BUSINESS— office.VENDOR— manufacturer.BRAND— brand.
Enum:
USER,BUSINESS,VENDOR,BRANDInformation about the comment's author.
Example
{ "type": "USER", "name": "example" }canModify
Type: boolean
Whether the seller can edit the comment or delete it.
parentId
Type: integer
ID of the response comment.
Min value:
1votes
Type: object
dislikes
Type: integer
The number of dislikes.
likes
Type: integer
The number of likes.
The number of likes and dislikes on a question, answer, or comment.
Example
{ "likes": 0, "dislikes": 0 }A list of comments.
Min items:
0Max items:
100Example
[ { "id": 1, "text": "example", "canModify": true, "parentId": 1, "author": { "type": "USER", "name": "example" }, "status": "PUBLISHED", "answerId": 1, "createdAt": "2025-01-01T00:00:00Z", "votes": { "likes": 0, "dislikes": 0 } } ]The list of responses.
Example
[ { "id": 1, "text": "example", "canModify": true, "author": { "type": "USER", "name": "example" }, "status": "PUBLISHED", "questionId": 1, "createdAt": "2025-01-01T00:00:00Z", "votes": { "likes": 0, "dislikes": 0 }, "comments": [ { "id": 1, "text": "example", "canModify": true, "parentId": 1, "author": { "type": "USER", "name": "example" }, "status": "PUBLISHED", "answerId": 1, "createdAt": "2025-01-01T00:00:00Z", "votes": { "likes": 0, "dislikes": 0 } } ] } ]paging
Type: object
nextPageToken
Type: string
ID of the next results page.
Example:
exampleThe ID of the next page.
Example
{ "nextPageToken": "example" }Answers to the question.
Example
{ "answers": [ { "id": 1, "text": "example", "canModify": true, "author": { "type": "USER", "name": "example" }, "status": "PUBLISHED", "questionId": 1, "createdAt": "2025-01-01T00:00:00Z", "votes": { "likes": 0, "dislikes": 0 }, "comments": [ { "id": 1, "text": "example", "canModify": true, "parentId": 1, "author": {}, "status": "PUBLISHED", "answerId": 1, "createdAt": "2025-01-01T00:00:00Z", "votes": {} } ] } ], "paging": { "nextPageToken": "example" } }Example
{ "result": { "answers": [ { "id": 1, "text": "example", "canModify": true, "author": { "type": "USER", "name": "example" }, "status": "PUBLISHED", "questionId": 1, "createdAt": "2025-01-01T00:00:00Z", "votes": { "likes": 0, "dislikes": 0 }, "comments": [ {} ] } ], "paging": { "nextPageToken": "example" } } }
400 Bad Request
The request contains incorrect data. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
404 Not Found
The requested resource was not found. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error of the Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -